IcedTea-Web NetX

## net.sourceforge.jnlp
Class NetxPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Panel
                  sun.applet.AppletPanel
                      sun.applet.AppletViewerPanel
                          net.sourceforge.jnlp.NetxPanel

All Implemented Interfaces:
  java.applet.AppletStub, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, javax.accessibility.Accessible, net.sourceforge.jnlp.splashscreen.SplashController

    public class NetxPanel

extends sun.applet.AppletViewerPanel
implements net.sourceforge.jnlp.splashscreen.SplashController

This panel calls into netx to run an applet, and pipes the display into a panel from the icedtea-web browser plugin.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class sun.applet.AppletViewerPanel
`atts, baseURL, debug, documentURL`

Fields inherited from class sun.applet.AppletPanel
`applet, APPLET_DESTROY, APPLET_DISPOSE, APPLET_ERROR, APPLET_INIT, APPLET_LOAD, APPLET_LOADING, APPLET_LOADING_COMPLETED, APPLET_QUIT, APPLET_RESIZE, APPLET_START, APPLET_STOP, doInit, handler, status`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NetxPanel(java.net.URL documentURL, PluginParameters params)`

Method Summary
`protected void` `createAppletThread()` Creates a new Thread (in a new applet-specific ThreadGroup) for running the applet
`void` `createNewAppContext()`
`java.lang.ClassLoader` `getAppletClassLoader()`
`int` `getSplashHeigth()`
`int` `getSplashWidth()`
`java.lang.ThreadGroup` `getThreadGroup()`
`boolean` `isInitialized()`
`void` `removeSplash()`
`void` `replaceSplash(net.sourceforge.jnlp.splashscreen.SplashPanel r)`
`protected void` `runLoader()`
`void` `setAppletViewerFrame(net.sourceforge.jnlp.splashscreen.SplashController framePanel)`
`protected void` `showAppletException(java.lang.Throwable t)`
`void` `updateSizeInAtts(int height, int width)`

Methods inherited from class sun.applet.AppletViewerPanel
`debug, debug, getAppletContext, getCode, getCodeBase, getDocumentBase, getHeight, getJarFiles, getParameter, getSerializedObject, getWidth, hasInitialFocus`

Methods inherited from class sun.applet.AppletPanel

`addAppletListener, appletResize, changeFrameAppContext, clearLoadAbortRequest, createApplet, createClassLoader, dispatchAppletEvent, flushClassLoader, flushClassLoaders, getApplet, getAppletHandlerThread, getAppletHeight, getAppletWidth, getClassLoaderCacheKey, getNextEvent, init, isActive, isJDK11Applet, isJDK12Applet, loadJarFiles, minimumSize, okToLoad, preferredSize, removeAppletListener, run, sendEvent, setBounds, setLoadAbortRequest, setupAppletAppContext, showAppletLog, showAppletLog, showAppletStatus, showAppletStatus, showAppletStatus, stopLoading`

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, paint, paintComponents, paramString, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetxPanel

    public NetxPanel(java.net.URL documentURL,
                     PluginParameters params)

Method Detail

### showAppletException

    protected void showAppletException(java.lang.Throwable t)

  Overrides:
    `showAppletException` in class `sun.applet.AppletPanel`

### runLoader

    protected void runLoader()

  Overrides:
    `runLoader` in class `sun.applet.AppletPanel`

### createAppletThread

    protected void createAppletThread()

  Creates a new Thread (in a new applet-specific ThreadGroup) for running the applet

  Overrides:
    `createAppletThread` in class `sun.applet.AppletPanel`

### updateSizeInAtts

    public void updateSizeInAtts(int height,
                                 int width)

### getAppletClassLoader

    public java.lang.ClassLoader getAppletClassLoader()

### isInitialized

    public boolean isInitialized()

### getThreadGroup

    public java.lang.ThreadGroup getThreadGroup()

### createNewAppContext

    public void createNewAppContext()

### setAppletViewerFrame

    public void setAppletViewerFrame(net.sourceforge.jnlp.splashscreen.SplashController framePanel)

### removeSplash

    public void removeSplash()

  Specified by:
    `removeSplash` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

### replaceSplash

    public void replaceSplash(net.sourceforge.jnlp.splashscreen.SplashPanel r)

  Specified by:
    `replaceSplash` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

### getSplashWidth

    public int getSplashWidth()

  Specified by:
    `getSplashWidth` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

### getSplashHeigth

    public int getSplashHeigth()

  Specified by:
    `getSplashHeigth` in interface `net.sourceforge.jnlp.splashscreen.SplashController`

IcedTea-Web NetX

Submit a bug or feature